GET
/
api
/
v2
/
partners
/
me
Self-describe: partner identity + resolved scope list
curl --request GET \
  --url https://partners.crewpass.co.uk/api/v2/partners/me \
  --header 'Authorization: Bearer <token>'
{
  "partner_id": "<string>",
  "display_name": "Example Fleet Management",
  "status": "active",
  "subscription_plan": "management",
  "granted_scopes": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Partner API key (cpk_live_* / cpk_test_*) as a Bearer token.

Headers

authorization
string | null
X-Partner-API-Key
string | null

Response

Successful Response

GET /api/v2/partners/me — self-describe (V2_API_DESIGN §2.1).

partner_id
string
required
Example:

"prt_123"

partner_type
enum<string>
required
Available options:
customer,
external
mode
enum<string>
required
Available options:
live,
test
display_name
string | null
Example:

"Example Fleet Management"

status
string
default:active
subscription_plan
string | null
Example:

"management"

granted_scopes
string[]
Example:
[
"crew:status:read",
"crew:profile:read",
"vessels:fleet:read"
]